package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.UptownUnit;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface UptownUnitMapper extends BaseMapper<UptownUnit> {

    @Select("select * from sys_uptown_unit where status = 1 and uptown_id = #{uptownId}")
    List<UptownUnit> getUptownUnitData(@Param("uptownId") Long uptownId);
}
