package com.bofeng.entity;


import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

import java.math.BigDecimal;

/**
 * @Author: xielianghe
 * @Date: 2020/2/4 14:54
 */
@Getter
@Setter
@TableName("ms_suspected")
public class MsSuspected {


    @TableId("suspected_id")
    private Long suspectedId;

    @TableField("report_id")
    private Long reportId;

    @TableField("user_name")
    private String userName;

    @TableField("grender")
    private Integer grender;

    @TableField("age")
    private Integer age;

    @TableField("family_status")
    private Integer familyStatus;

    @TableField("status_desp")
    private String statusDesp;

    @TableField("medical")
    private Integer medical;

    @TableField("temperature")
    private BigDecimal temperature;

    @TableField("cough")
    private Integer cough;

    @TableField("muscle")
    private Integer muscle;

    @TableField("dyspnea")
    private Integer dyspnea;

    @TableField("chest")
    private Integer chest;

    @TableField("fatigue")
    private Integer fatigue;

    @TableField("diarrhea")
    private Integer diarrhea;

    @TableField("diarrhea_num")
    private Integer diarrheaNum;

    @TableField("others")
    private String others;

    @TableField("user_create")
    private Long userCreate;

    @TableField("time_create")
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField("time_update")
    private DateTime timeUpdate;
}
