function ribao_init() {
  $('#btnRB').on('click', function () {
    window.location.href = "/yeweihui/home.html";
  });

  $("#js_input_user_sex").select({
    title: "选择性别",
    items: [
      {
        title: "男",
        value: "1",
      },
      {
        title: "女",
        value: "2",
      }]
  });

  $("#js_input_user_status").select({
    title: "选择基本状况",
    items: [
      {
        title: "心脑血管疾病（服用ARB）",
        value: "1",
      },
      {
        title: "心脑血管疾病（未服ARB）",
        value: "2",
      },
      {
        title: "呼吸系统病史",
        value: "3",
      },
      {
        title: "肿瘤病史",
        value: "4",
      },
      {
        title: "糖尿病史",
        value: "5",
      },
      {
        title: "服用过激素药物",
        value: "6",
      },
      {
        title: "妊娠期",
        value: "7",
      },{
        title: "其他",
        value: "8",
      }]
  });

  $("#js_input_user_kesou").select({
    title: "选择咳嗽情况",
    items: [
      {
        title: "无咳嗽",
        value: "1",
      },
      {
        title: "偶尔短暂咳嗽",
        value: "2",
      },
      {
        title: "频繁咳嗽轻度影响生活",
        value: "3",
      },
      {
        title: "频繁咳嗽重度影响生活",
        value: "4",
      }]
  });

  $("#js_input_user_jirou").select({
    title: "选择肌肉情况",
    items: [
      {
        title: "无",
        value: "1",
      },
      {
        title: "加重",
        value: "2",
      },
      {
        title: "好转",
        value: "3",
      },
      {
        title: "无变化",
        value: "4",
      }]
  });

  $("#js_input_user_huxi").select({
    title: "选择呼吸情况",
    items: [
      {
        title: "无",
        value: "1",
      },
      {
        title: "加重",
        value: "2",
      },
      {
        title: "好转",
        value: "3",
      },
      {
        title: "无变化",
        value: "4",
      },
      {
        title: "严重",
        value: "5",
      }]
  });

  $("#js_input_user_xiongmen").select({
    title: "选择胸闷情况",
    items: [
      {
        title: "无",
        value: "1",
      },
      {
        title: "端坐呼吸",
        value: "2",
      },
      {
        title: "活动无耐力",
        value: "3",
      },
      {
        title: "无变化",
        value: "4",
      }]
  });

  $("#js_input_user_fali").select({
    title: "选择乏力情况",
    items: [
      {
        title: "无",
        value: "1",
      },
      {
        title: "加重",
        value: "2",
      },
      {
        title: "好转",
        value: "3",
      },
      {
        title: "无变化",
        value: "4",
      }]
  });

  $("#js_input_user_fuxie").select({
    title: "选择乏力情况",
    items: [
      {
        title: "无",
        value: "1",
      },
      {
        title: "有",
        value: "2",
      }]
  });

  $("#rb_switch").bind("click", function () {
    if ($("#switchQuezhen").val() == "off") {
      $("#switchQuezhen").val("on");
    } else {
      $("#switchQuezhen").val("off");
    }
  });

}

//近日报告
function ribaoInitialization(reportId) {
  if (reportId == null)
    return;
  $.ajax({
    url: '/home/home/queryRibaoRefresh',
    data: {
      reportId: reportId
    },
    type: 'GET',
    success: function (data) {
      console.log(data);
      if (data.data.length > 0) {
        hasData = true;
        data.data.forEach(function (v) {
          ribao_cell(v);
        });
      } else {

      }
    },
    error: function () {
    }
  });
}

//刷新今日日报
function ribao_refrash() {
  var userId = $("#userId").val();
  $.ajax({
    url: '/home/home/queryRibao',
    data: {
      userCreate: userId
    },
    type: 'GET',
    success: function (data) {
      console.log(data);
      if (data.data.length > 0) {
        hasData = true;
        $('#rb_family').empty();
        data.data.forEach(function (v) {
          ribao_cell(v);
        });
      } else {

      }
    },
    error: function () {
    }
  });
}

function ribao_cell(v) {
  var conditionStatusList = v.conditionStatus.split(',');
  var conditionStatus = v.userName + "：";
  if (conditionStatusList[0] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;咳嗽"
  if (conditionStatusList[1] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;发烧"
  if (conditionStatusList[2] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;腹泻"
  if (conditionStatusList[3] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;酸痛"
  if (conditionStatusList[4] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;乏力"
  if (conditionStatusList[5] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;其他"
  if (v.medical > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;确诊"
  else
    conditionStatus += "&nbsp;&nbsp;&nbsp;未确诊"
  $('#rb_family').append($('<div class="weui-media-box weui-media-box_text">\n' +
    '                                      <h4 class="weui-media-box__title">' + conditionStatus + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a style="color: #2a62bc" onclick=\'deleteSuspected(' + JSON.stringify(v.suspectedId) + ')\'>删除</a></h4>\n' +
    '                                      <p class="weui-media-box__desc">' + v.remarks + '</p>\n' +
    '                                    </div>\n' +
    '                              '));
}

function ribao_add() {
  $('#btnAdd').on('click', function () {
    if ($('#ribao')[0].style.display == 'none') {
      $('#notOpenRibao').toggle();
      $('#ribao')[0].style.display = '';
    } else {
      $('#notOpenRibao')[0].style.display = '';
      $('#ribao')[0].style.display = 'none';
    }
  });
}

function ribao_cancel() {
  $('#cancel').on('click', function () {
    if ($('#ribao')[0].style.display == 'none') {
      $('#notOpenRibao').toggle();
      $('#ribao')[0].style.display = '';
    } else {
      $('#notOpenRibao')[0].style.display = '';
      $('#ribao')[0].style.display = 'none';
    }
  });
}

function ribaoCommit() {

  console.log("sss");
  console.log(
      "姓名", $("#js_input_user_name").val(),
      "性别", $("#js_input_user_sex").val(), "实际值", $("#js_input_user_sex").attr("data-values"),
      "年龄", $("#js_input_user_age").val(),
      "基本状况", $("#js_input_user_status").val(),
      "状况描述", $("#jibenmiaoshu").val(),
      "是否确诊", $("#switchQuezhen").val(),
      "体温", $("#js_input_user_tiwen").val(),
      "咳嗽", $("#js_input_user_kesou").val(),
      "肌肉酸痛", $("#js_input_user_jirou").val(),
      "呼吸困难", $("#js_input_user_huxi").val(),
      "胸闷", $("#js_input_user_xiongmen").val(),
      "乏力", $("#js_input_user_fali").val(),
      "腹泻", $("#js_input_user_fuxie").val(),
      "次数", $("#js_input_user_cishu").val(),
      "其他", $("#shuruqita").val(),
  );
  return;

  var userId = $("#userId").val();
  var user_name = $("#js_input_user_name").val();
  if (user_name == "") {
    alert("请填写家人姓名");
    return;
  }
  if (user_name.length > 25) {
    alert("请填写正确格式家人姓名");
    return;
  }
  var remarks = $("#rb_remarks").val();
  if (remarks == "") {
    alert("请填写病情描述");
    return;
  }
  if (remarks.length > 100) {
    alert("病情描述内容太长");
    return;
  }
  var medical = "";
  if ($("input[name='medical']:checked").val() == "on")
    medical = "1";
  else
    medical = "0";
  var conditionStatus = "";
  if ($("input[name='checkbox1']:checked").val() == "on")
    conditionStatus += "1";
  else
    conditionStatus += "0";
  if ($("input[name='checkbox2']:checked").val() == "on")
    conditionStatus += ",2";
  else
    conditionStatus += ",0";
  if ($("input[name='checkbox3']:checked").val() == "on")
    conditionStatus += ",3";
  else
    conditionStatus += ",0";
  if ($("input[name='checkbox4']:checked").val() == "on")
    conditionStatus += ",4";
  else
    conditionStatus += ",0";
  if ($("input[name='checkbox5']:checked").val() == "on")
    conditionStatus += ",5";
  else
    conditionStatus += ",0";
  if ($("input[name='checkbox6']:checked").val() == "on")
    conditionStatus += ",4";
  else
    conditionStatus += ",6";

  $.ajax({
    url: '/home/addRibao',
    type: "post",
    data: {
      "userCreate": userId,
      "userName": user_name,
      "conditionStatus": conditionStatus,
      "medical": medical,
      "remarks": remarks,
    },
    success: function (data) {
      if ($('#ribao')[0].style.display == 'none') {
        $('#notOpenRibao').toggle();
        $('#ribao')[0].style.display = '';
      } else {
        $('#notOpenRibao')[0].style.display = '';
        $('#ribao')[0].style.display = 'none';
      }
      ribao_refrash();
    },
  });
}

function deleteSuspected(suspectedId) {
  $.ajax({
    url: '/home/deleteSuspected',
    type: "post",
    data: {
      "suspectedId": suspectedId
    },
    success: function (data) {
      ribao_refrash();
    },
  });
}


function addReport() {
  var userId = $("#userId").val();
  var safety_num = $("#ribao_safety_num").val();
  if (safety_num == "") {
    alert("请填写居家人数");
    return;
  }
  $.ajax({
    url: '/home/addReport',
    type: "post",
    data: {
      "userCreate": userId,
      "safetyNum": safety_num,
    },
    success: function (data) {
      $.toast("操作成功");
    },
  });
}

$("#my-input-ribao").calendar({
  dateFormat: 'yyyy-mm-dd',
  inputReadOnly: false,
  onChange: function (p, values, displayValues) {
    var reportDate = values.toString();
    var userId = $("#userId").val();
    $.ajax({
      url: '/home/home/queryRibaoReportDate',
      data: {
        "userCreate": userId,
        "reportDate": reportDate,
      },
      type: 'GET',
      success: function (data) {
        if (data.data == undefined) {
          $('#ribao_famliy').empty();
        }
        else {
          if (data.data.length > 0) {
            $('#ribao_famliy').empty();
            data.data.forEach(function (v) {
              helpValue1(v);
            });
          } else {

          }
        }
      },
      error: function () {
      }
    });
  }
});


function helpValue1(v) {
  var conditionStatusList = v.conditionStatus.split(',');
  var conditionStatus = v.userName + "：";
  if (conditionStatusList[0] > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;咳嗽"
  if (conditionStatusList[1] > 0) {
    conditionStatus += "&nbsp;&nbsp;&nbsp;发烧"
  }
  if (conditionStatusList[2] > 0) {
    conditionStatus += "&nbsp;&nbsp;&nbsp;腹泻"
  }
  if (conditionStatusList[3] > 0) {
    conditionStatus += "&nbsp;&nbsp;&nbsp;酸痛"
  }
  if (conditionStatusList[4] > 0) {
    conditionStatus += "&nbsp;&nbsp;&nbsp;乏力"
  }
  if (conditionStatusList[5] > 0) {
    conditionStatus += "&nbsp;&nbsp;&nbsp;其他"
  }
  if (v.medical > 0)
    conditionStatus += "&nbsp;&nbsp;&nbsp;确诊"
  else
    conditionStatus += "&nbsp;&nbsp;&nbsp;未确诊"
  $('#ribao_famliy').append($('<div class="weui-media-box weui-media-box_text">\n' +
    '                                      <h4 class="weui-media-box__title">' + conditionStatus + '</h4>\n' +
    '                                      <p class="weui-media-box__desc">' + v.remarks + '</p>\n' +
    '                                    </div>\n' +
    '                              '));
}
