package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

@Getter
@Setter
@TableName("sys_owner")
public class Owner {

    @TableField("owner_id")
    private Long ownerId;

    @TableField("uptown_id")
    private Long uptownId;

    @TableField("linkman")
    private String linkman;

    @TableField("phone")
    private String phone;

    @TableField("user_create")
    private Long userCreate;

    @TableField(exist = false)
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField(exist = false)
    private DateTime timeUpdate;
}
