package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

/**
 * 小区表
 */
@Getter
@Setter
@TableName("sys_uptown")
public class Uptown {

    @TableField("uptown_id")
    private Long uptownId;

    @TableField("uptown_name")
    private String uptownName;

    @TableField("uptown_addr")
    private String uptownAddr;

    @TableField("longitude")
    private String longitude;

    @TableField("latitude")
    private String latitude;

    @TableField("area")
    private Integer area;

    /**
     * 状态:1正常,0草稿,-1删除
     */
    @TableField("status")
    private Integer status;

    @TableField("user_create")
    private Long userCreate;

    @TableField(exist = false)
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField(exist = false)
    private DateTime timeUpdate;
}
